Bug 751809 - Review Request: perl-DateTime-TimeZone-Tzfile - Tzfile (zoneinfo) timezone files
Summary: Review Request: perl-DateTime-TimeZone-Tzfile - Tzfile (zoneinfo) timezone files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/DateTime-...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-07 16:26 UTC by Iain Arnell
Modified: 2011-11-26 23:04 UTC (History)
2 users (show)

Fixed In Version: perl-DateTime-TimeZone-Tzfile-0.006-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-26 23:03:20 UTC
Type: ---
mmaslano: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2011-11-07 16:26:14 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-DateTime-TimeZone-Tzfile.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-DateTime-TimeZone-Tzfile-0.006-1.fc17.src.rpm

Description:
An instance of this class represents a timezone that was encoded in a file
in the tzfile(5) format. These can express arbitrary patterns of offsets
from Universal Time, changing over time. Offsets and change times are
limited to a resolution of one second.

This class implements the DateTime::TimeZone interface, so that its instances
can be used with DateTime objects.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3494915

*rt-0.10_02

Comment 1 Marcela Mašláňová 2011-11-15 12:28:06 UTC
- rpmlint OK
perl-DateTime-TimeZone-Tzfile.src: W: spelling-error Summary(en_US) zoneinfo -> zone info, zone-info, reinforce
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines OK
- package must be licensed with Fedora approved license OK
- license field must match actual license OK
- text of the license in its own file must be included in %doc OK
- sources must match the upstream source OK
- package MUST successfully compile and build OK
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

rpm -qp --provides ~/Downloads/perl-DateTime-TimeZone-Tzfile-0.006-1.fc17.noarch.rpm 
perl(DateTime::TimeZone::Tzfile) = 0.006
perl-DateTime-TimeZone-Tzfile = 0.006-1.fc17

rpm -qp --requires ~/Downloads/perl-DateTime-TimeZone-Tzfile-0.006-1.fc17.noarch.rpm 
perl(:MODULE_COMPAT_5.14.2)  
perl(Carp)  
perl(Date::ISO8601) >= 0.000
perl(Date::JD) >= 0.005
perl(DateTime::TimeZone::SystemV) >= 0.002
perl(IO::File) >= 1.13
perl(IO::Handle) >= 1.08
perl(Params::Classify) >= 0.000
perl(constant)  
perl(integer)  
perl(strict)  
perl(warnings)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1


APPROVED

Comment 2 Iain Arnell 2011-11-16 03:48:10 UTC
New Package SCM Request
=======================
Package Name: perl-DateTime-TimeZone-Tzfile
Short Description: Tzfile (zoneinfo) timezone files
Owners: iarnell
Branches: f15 f16
InitialCC: perl-sig

Comment 3 Gwyn Ciesla 2011-11-16 12:08:50 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-11-16 17:00:23 UTC
perl-DateTime-TimeZone-Tzfile-0.006-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-DateTime-TimeZone-Tzfile-0.006-1.fc15

Comment 5 Fedora Update System 2011-11-16 17:00:35 UTC
perl-DateTime-TimeZone-Tzfile-0.006-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-DateTime-TimeZone-Tzfile-0.006-1.fc16

Comment 6 Fedora Update System 2011-11-17 23:32:29 UTC
perl-DateTime-TimeZone-Tzfile-0.006-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 7 Fedora Update System 2011-11-26 23:03:20 UTC
perl-DateTime-TimeZone-Tzfile-0.006-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 8 Fedora Update System 2011-11-26 23:04:48 UTC
perl-DateTime-TimeZone-Tzfile-0.006-1.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.